package uoc.pfc.danielclemente.navegacioControlador;

import java.util.ArrayList;

/**
 * Classe que enmagatzema un usuari de l'aplicació
 * @author Daniel Clemente Marcè
 */
public class Usuari {
    String name; 
    ArrayList rol;

     public Usuari() {
        this.name = "";
        this.rol = new ArrayList();
    }

    public Usuari(String name, ArrayList rol) {
        this.name = name;
        this.rol = rol;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ArrayList getRol() {
        return rol;
    }

    public void setRol(ArrayList rol) {
        this.rol = rol;
    }

    public ArrayList consultarLlistaRols (Usuari user){
            return user.getRol();
    }

    public boolean conteRol(Usuari user, String rol){
        ArrayList llistarols = user.getRol();
        return llistarols.contains(rol);
    }

}
