package uoc.pfc.danielclemente.navegacioControlador;

/**
 * Clase Client que implementa un client
 * @author Daniel Clemente Marcè
 */
public class Client {

    private String tractament;
    private String nom;
    private String cognom1;
    private String cognom2;

    private String servei;
    private String dni;
    private String contracte;

    public Client() {
    }

    public Client(String tractament, String nom, String cognom1, String cognom2,  String servei, String dni) {
        this.tractament = tractament;
        this.nom = nom;
        this.cognom1 = cognom1;
        this.cognom2 = cognom2;
       
        this.servei = servei;
        this.dni = dni;
    }

    /**
     * Construeix un String on podem utilitzar-ho a la jsp per administrar clients
     * @return string per utilitzar en la jsp
     */
    public String mostrarResumClient(){
        String resultat = "<td>" +  this.getTractament() +" &nbsp;"+ this.getNom()
                +" &nbsp;"+this.getCognom1() +" &nbsp;"+this.getCognom2()+
                " &nbsp;  &nbsp; </td><td>"+this.getServei()+
                " &nbsp;  &nbsp; </td><td>"+this.getDni()+
                " &nbsp;  &nbsp; </td><td> <a href=./NavegacioControlador?vista=ConsultarClientPG&"
                +  this.pasarParametres() + ">Consultar</a> &nbsp;  &nbsp; </td>"+
                "<td><a href=./NavegacioControlador?vista=EditarClientPG&"
                +  this.pasarParametres() +  ">Editar&#42;</a> &nbsp;  &nbsp; </td>"+
                "<td><a href=./NavegacioControlador?accio=BaixaUsuari&"
                +  this.pasarParametres() + ">Baixa&#42;</a> &nbsp;  &nbsp; </td>";

        return resultat;
    }

    /**
     * Crea una cadena amb el parametres per utilitzar en la jsp
     * @return string per utilitzar en la jsp
     */
    public String pasarParametres(){
        String parametres = "nom="+this.getNom()+"&cognom1="+this.getCognom1()+"&cognom2="+this.getCognom2()+"&dni="+this.getDni()+"&tractament="+this.getTractament()+"&servei="+this.getServei();
        return parametres;
    }


   

    public String getCognom1() {
        return cognom1;
    }

    public void setCognom1(String cognom1) {
        this.cognom1 = cognom1;
    }

    public String getCognom2() {
        return cognom2;
    }

    public void setCognom2(String cognom2) {
        this.cognom2 = cognom2;
    }

    public String getContracte() {
        return contracte;
    }

    public void setContracte(String contracte) {
        this.contracte = contracte;
    }

    public String getDni() {
        return dni;
    }

    public void setDni(String dni) {
        this.dni = dni;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getServei() {
        return servei;
    }

    public void setServei(String servei) {
        this.servei = servei;
    }

    public String getTractament() {
        return tractament;
    }

    public void setTractament(String tractament) {
        this.tractament = tractament;
    }

   

}
